Subject: Re: linux-next: manual merge of the staging tree with the crypto tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Aug 2018 09:49:03 +1000

Hi all,

On Mon, 9 Jul 2018 14:15:10 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/skein/skein_generic.c
> 
> between commit:
> 
>   e50944e219f9 ("crypto: shash - remove useless setting of type flags")
> 
> from the crypto tree and commit:
> 
>   ee55fe552fcd ("staging/skein: Remove Skein and Threefish code")
> 
> from the staging tree.
> 
> I fixed it up (I removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between Linus' tree and the staging tree.
-- 
Cheers,
Stephen Rothwell